Below is the list of changes that have just been committed into a local
5.0 repository of jonas. When jonas does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2006-09-13 15:52:43+02:00, jonas@stripped +16 -0
ndb - atrt
split ndb-autotest.sh into 2 files for easier upgrade (boot and run)
make misc changes to use new atrt for running autotest
BitKeeper/deleted/.del-conf-daily-devel-ndbmaster.txt@stripped, 2006-09-13 15:08:30+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/conf-daily-devel-ndbmaster.txt
BitKeeper/deleted/.del-conf-dl145a.txt@stripped, 2006-09-13 15:45:03+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/conf-dl145a.txt
BitKeeper/deleted/.del-conf-ndbmaster.txt@stripped, 2006-09-13 15:44:45+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/conf-ndbmaster.txt
BitKeeper/deleted/.del-make-config.sh@stripped, 2006-09-13 15:47:02+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/make-config.sh
BitKeeper/deleted/.del-make-html-reports.sh@stripped, 2006-09-13 15:47:38+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/make-html-reports.sh
BitKeeper/deleted/.del-make-index.sh@stripped, 2006-09-13 15:47:11+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/make-index.sh
BitKeeper/deleted/.del-ndb-autotest.sh~6f97a2b4d3130b99@stripped, 2006-09-13 15:51:52+02:00, jonas@stripped +0 -0
Delete: ndb/test/run-test/ndb-autotest.sh
ndb/test/run-test/Makefile.am@stripped, 2006-09-13 15:52:42+02:00, jonas@stripped +3 -4
New files added and some removed
ndb/test/run-test/atrt-gather-result.sh@stripped, 2006-09-13 15:52:42+02:00, jonas@stripped +1 -1
exclude ndb fs dirs as they take looong time to rsync
ndb/test/run-test/autotest-boot.sh@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +156 -0
BitKeeper file /home/jonas/src/50-atrt/ndb/test/run-test/autotest-boot.sh
ndb/test/run-test/autotest-boot.sh@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +0 -0
ndb/test/run-test/autotest-run.sh@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +260 -0
BitKeeper file /home/jonas/src/50-atrt/ndb/test/run-test/autotest-run.sh
ndb/test/run-test/autotest-run.sh@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +0 -0
ndb/test/run-test/conf-dl145a.cnf@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +23 -0
BitKeeper file /home/jonas/src/50-atrt/ndb/test/run-test/conf-dl145a.cnf
ndb/test/run-test/conf-dl145a.cnf@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +0 -0
ndb/test/run-test/conf-ndbmaster.cnf@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +23 -0
BitKeeper file /home/jonas/src/50-atrt/ndb/test/run-test/conf-ndbmaster.cnf
ndb/test/run-test/conf-ndbmaster.cnf@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +0 -0
ndb/test/run-test/conf-repl.cnf@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +28 -0
BitKeeper file /home/jonas/src/50-atrt/ndb/test/run-test/conf-repl.cnf
ndb/test/run-test/conf-repl.cnf@stripped, 2006-09-13 15:48:09+02:00, jonas@stripped +0 -0
ndb/test/run-test/main.cpp@stripped, 2006-09-13 15:52:42+02:00, jonas@stripped +83 -50
Add -quit swtich for deploy/configure only
Add putenv of PATH to atrt-*.sh
ndb/test/run-test/setup.cpp@stripped, 2006-09-13 15:52:42+02:00, jonas@stripped +1 -1
remove --inital, as it's incorrect
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: jonas
# Host: perch.ndb.mysql.com
# Root: /home/jonas/src/50-atrt
--- 1.9/ndb/test/run-test/setup.cpp 2006-09-13 15:52:47 +02:00
+++ 1.10/ndb/test/run-test/setup.cpp 2006-09-13 15:52:47 +02:00
@@ -285,7 +285,7 @@
proc.m_host->m_basedir.c_str());
proc.m_proc.m_args.appfmt(" --defaults-group-suffix=%s",
cluster.m_name.c_str());
- proc.m_proc.m_args.append(" --initial --nodaemon -n");
+ proc.m_proc.m_args.append(" --nodaemon -n");
proc.m_proc.m_cwd.assfmt("%sndbd.%d", dir.c_str(), proc.m_index);
proc.m_proc.m_env.appfmt(" MYSQL_GROUP_SUFFIX=%s",
cluster.m_name.c_str());
--- New file ---
+++ ndb/test/run-test/autotest-boot.sh 06/09/13 15:48:09
#!/bin/sh
#############################################################
# This script created by Jonas does the following #
# Cleans up clones and pevious builds, pulls new clones, #
# builds, deploys, configures the tests and launches ATRT #
#############################################################
###############
#Script setup #
##############
save_args=$*
VERSION="autotest-boot.sh version 1.00"
DATE=`date '+%Y-%m-%d'`
HOST=`hostname -s`
export DATE HOST
set -e
echo "`date` starting: $*"
verbose=0
do_clone=yes
build=yes
LOCK=$HOME/.autotest-lock
############################
# Read command line entries#
############################
while [ "$1" ]
do
case "$1" in
--no-clone) do_clone="";;
--no-build) build="";;
--verbose) verbose=`expr $verbose + 1`;;
--clone=*) clone=`echo $1 | sed s/--clone=//`;;
--version) echo $VERSION; exit;;
*) RUN=$*;;
esac
shift
done
#################################
#Make sure the configfile exists#
#if it does not exit. if it does#
# (.) load it #
#################################
if [ -f $conf ]
then
. $conf
else
echo "Can't find config file: $conf"
exit
fi
###############################
# Validate that all interesting
# variables where set in conf
###############################
vars="src_clone_base install_dir build_dir"
for i in $vars
do
t=`echo echo \\$$i`
if [ -z "`eval $t`" ]
then
echo "Invalid config: $conf, variable $i is not set"
exit
fi
done
###############################
#Print out the enviroment vars#
###############################
if [ $verbose -gt 0 ]
then
env
fi
####################################
# Setup the lock file name and path#
# Setup the clone source location #
####################################
src_clone=$src_clone_base-$clone
#######################################
# Check to see if the lock file exists#
# If it does exit. #
#######################################
if [ -f $LOCK ]
then
echo "Lock file exists: $LOCK"
exit 1
fi
#######################################
# If the lock file does not exist then#
# create it with date and run info #
#######################################
echo "$DATE $RUN" > $LOCK
#############################
#If any errors here down, we#
# trap them, and remove the #
# Lock file before exit #
#############################
if [ `uname -s` != "SunOS" ]
then
trap "rm -f $LOCK" ERR
fi
# You can add more to this path#
################################
dst_place=${build_dir}/clone-mysql-$clone-$DATE.$$
#########################################
# Delete source and pull down the latest#
#########################################
if [ "$do_clone" ]
then
rm -rf $dst_place
bk clone $src_clone $dst_place
fi
##########################################
# Build the source, make installs, and #
# create the database to be rsynced #
##########################################
install_dir=${install_dir}.$$
if [ "$build" ]
then
cd $dst_place
rm -rf $install_dir
BUILD/compile-ndb-autotest --prefix=$install_dir
make install
rm -rf $dst_place
fi
################################
# Start run script #
################################
script=$install_dir/mysql-test/ndb/autotest-run.sh
$script $save_args --install-dir=$install_dir
rm -f $LOCK
--- New file ---
+++ ndb/test/run-test/autotest-run.sh 06/09/13 15:48:09
#!/bin/sh
#############################################################
# This script created by Jonas does the following #
# Cleans up clones and pevious builds, pulls new clones, #
# builds, deploys, configures the tests and launches ATRT #
#############################################################
###############
#Script setup #
##############
save_args=$*
VERSION="autotest-run.sh version 1.00"
DATE=`date '+%Y-%m-%d'`
HOST=`hostname -s`
export DATE HOST
set -e
ulimit -Sc unlimited
echo "`date` starting: $*"
RSYNC_RSH=ssh
export RSYNC_RSH
verbose=0
report=yes
RUN="daily-basic"
conf=autotest.conf
LOCK=$HOME/.autotest-lock
############################
# Read command line entries#
############################
while [ "$1" ]
do
case "$1" in
--verbose) verbose=`expr $verbose + 1`;;
--conf=*) conf=`echo $1 | sed s/--conf=//`;;
--version) echo $VERSION; exit;;
--suite=*) RUN=`echo $1 | sed s/--suite=//`;;
--install-dir=*) install_dir=`echo $1 | sed s/--install-dir=//`;;
esac
shift
done
#################################
#Make sure the configfile exists#
#if it does not exit. if it does#
# (.) load it #
#################################
install_dir_save=$install_dir
if [ -f $conf ]
then
. $conf
else
echo "Can't find config file: $conf"
exit
fi
install_dir=$install_dir_save
###############################
# Validate that all interesting
# variables where set in conf
###############################
vars="target base_dir install_dir hosts"
if [ "$report" ]
then
vars="$vars result_host result_path"
fi
for i in $vars
do
t=`echo echo \\$$i`
if [ -z "`eval $t`" ]
then
echo "Invalid config: $conf, variable $i is not set"
exit
fi
done
###############################
#Print out the enviroment vars#
###############################
if [ $verbose -gt 0 ]
then
env
fi
#######################################
# Check to see if the lock file exists#
# If it does exit. #
#######################################
if [ -f $LOCK ]
then
echo "Lock file exists: $LOCK"
exit 1
fi
#######################################
# If the lock file does not exist then#
# create it with date and run info #
#######################################
echo "$DATE $RUN" > $LOCK
#############################
#If any errors here down, we#
# trap them, and remove the #
# Lock file before exit #
#############################
if [ `uname -s` != "SunOS" ]
then
trap "rm -f $LOCK" ERR
fi
###############################################
# Check that all interesting files are present#
###############################################
test_dir=$install_dir/mysql-test/ndb
atrt=$test_dir/atrt
test_file=$test_dir/$RUN-tests.txt
if [ ! -f "$test_file" ]
then
echo "Cant find testfile: $test_file"
exit 1
fi
if [ ! -x "$atrt" ]
then
echo "Cant find atrt binary at $atrt"
exit 1
fi
############################
# check ndb_cpcc fail hosts#
############################
failed=`ndb_cpcc $hosts | awk '{ if($1=="Failed"){ print;}}'`
if [ "$failed ]
then
echo "Cant contact cpcd on $failed, exiting"
exit 1
th
#############################
# Function for replacing the#
# choose host with real host#
# names. Note $$ = PID #
#############################
choose(){
SRC=$1
TMP1=/tmp/choose.$$
TMP2=/tmp/choose.$$.$$
shift
cp $SRC $TMP1
i=1
while [ $# -gt 0 ]
do
sed -e s,"CHOOSE_host$i",$1,g < $TMP1 > $TMP2
mv $TMP2 $TMP1
shift
i=`expr $i + 1`
done
cat $TMP1
rm -f $TMP1
}
choose_conf(){
if [ -f $test_dir/conf-$1-$HOST.cnf ]
then
echo "$test_dir/conf-$1-$HOST.cnf"
elif [ -f $test_dir/conf-$1.cnf ]
then
echo "$test_dir/conf-$1.cnf"
elif [ -f $test_dir/conf-$HOST.cnf ]
echo "$test_dir/conf-$HOST.cnf"
else
echo "Unable to find conf file looked for" 1>&2
echo "$test_dir/conf-$1-$HOST.cnf and" 1>&2
echo "$test_dir/conf-$HOST.cnf" 1>&2
echo "$test_dir/conf-$1.cnf" 1>&2
exit
fi
}
#########################################
# Count how many computers we have ready#
#########################################
count_hosts(){
cnt=`grep "CHOOSE_host" $1 | awk '{for(i=1; i<=NF;i++) \
if(index($i, "CHOOSE_host") > 0) print $i;}' | sort | uniq | wc -l`
echo $cnt
}
conf=`choose_conf $RUN`
count=`count_hosts $conf`
avail=`echo $hosts | wc -w`
if [ $count -gt $avail ]
then
echo "Not enough hosts"
echo "Needs: $count available: $avail ($avail_hosts)"
exit 1
fi
###
# Make directories needed
p=`pwd`
run_dir=$base_dir/run-$dir-mysql-$clone-$target.$$
res_dir=$base_dir/result-$dir-mysql-$clone-$target/$DATE
tar_dir=$base_dir/saved-results
mkdir -p $run_dir $res_dir $tar_dir
rm -rf $res_dir/* $run_dir/*
###
#
# Do sed substitiutions
#
cd $run_dir
choose $conf $run_hosts > d.tmp.$$
sed -e s,CHOOSE_dir,"$run_dir/run",g < d.tmp.$$ > my.cnf
# Setup configuration
$atrt Cdq my.cnf
# Start...
$atrt --log-file=log.txt --testcase-file=$test_dir/$RUN-tests.txt my.cnf
# Make tar-ball
[ -f log.txt ] && mv log.txt $res_dir
[ -f report.txt ] && mv report.txt $res_dir
[ "`find . -name 'result*'`" ] && mv result* $res_dir
cd $res_dir
cd ..
p2=`pwd`
cd ..
tarfile=res.$RUN.$clone.$target.$DATE.$HOST.$$.tgz
tar cfz $tar_dir/$tarfile `basename $p2`/$DATE
if [ "$report" ]
then
scp $tar_dir/$tarfile $result_host:$result_path/
fi
cd $p
rm -rf $res_dir $run_dir
rm -f $LOCK
--- New file ---
+++ ndb/test/run-test/conf-dl145a.cnf 06/09/13 15:48:09
[atrt]
basedir = CHOOSE_dir
baseport = 14000
clusters = .2node
[ndb_mgmd]
[mysqld]
skip-innodb
skip-bdb
[cluster_config.2node]
ndb_mgmd = CHOOSE_host1
ndbd = CHOOSE_host2,CHOOSE_host3
ndbapi= CHOOSE_host1,CHOOSE_host1,CHOOSE_host1
NoOfReplicas = 2
IndexMemory = 100M
DataMemory = 300M
BackupMemory = 64M
MaxNoOfConcurrentScans = 100
MaxNoOfSavedMessages= 1000
SendBufferMemory = 2M
--- New file ---
+++ ndb/test/run-test/conf-ndbmaster.cnf 06/09/13 15:48:09
[atrt]
basedir = CHOOSE_dir
baseport = 14000
clusters = .4node
[ndb_mgmd]
[mysqld]
skip-innodb
skip-bdb
[cluster_config.4node]
ndb_mgmd = CHOOSE_host1
ndbd = CHOOSE_host2,CHOOSE_host3,CHOOSE_host2,CHOOSE_host3
ndbapi= CHOOSE_host1,CHOOSE_host1,CHOOSE_host1
NoOfReplicas = 2
IndexMemory = 100M
DataMemory = 300M
BackupMemory = 64M
MaxNoOfConcurrentScans = 100
MaxNoOfSavedMessages= 1000
SendBufferMemory = 2M
--- New file ---
+++ ndb/test/run-test/conf-repl.cnf 06/09/13 15:48:09
[atrt]
basedir=CHOOSE_dir
baseport=15000
clusters= .master,.slave
replicate= 1.master:1.slave
[ndb_mgmd]
[mysqld]
skip-innodb
skip-bdb
[cluster_config]
MaxNoOfSavedMessages= 1000
DataMemory = 100M
[cluster_config.master]
NoOfReplicas = 2
ndb_mgmd = CHOOSE_host1
ndbd = CHOOSE_host2,CHOOSE_host3
mysqld = CHOOSE_host1
ndbapi= CHOOSE_host1
[cluster_config.slave]
NoOfReplicas = 1
ndb_mgmd = CHOOSE_host4
ndbd = CHOOSE_host4
mysqld = CHOOSE_host4
--- 1.1/ndb/test/run-test/atrt-gather-result.sh 2006-09-13 15:52:47 +02:00
+++ 1.2/ndb/test/run-test/atrt-gather-result.sh 2006-09-13 15:52:47 +02:00
@@ -8,7 +8,7 @@
while [ $# -gt 0 ]
do
- rsync -a "$1" .
+ rsync -a --exclude='ndb_*_fs/*' "$1" .
shift
done
--- 1.34/ndb/test/run-test/main.cpp 2006-09-13 15:52:47 +02:00
+++ 1.35/ndb/test/run-test/main.cpp 2006-09-13 15:52:47 +02:00
@@ -44,6 +44,7 @@
static int g_do_deploy = 0;
static int g_do_sshx = 0;
static int g_do_start = 0;
+static int g_do_quit = 0;
static int g_help = 0;
static int g_verbosity = 1;
@@ -68,6 +69,7 @@
char *save_extra_file = 0;
const char *save_group_suffix = 0;
const char * g_dummy;
+char * g_env_path = 0;
/** Dummy, extern declared in ndb_opts.h */
int g_print_full_config = 0, opt_ndb_shm;
@@ -128,7 +130,9 @@
{ "mode", 256, "Mode 0=interactive 1=regression 2=bench",
(gptr*) &g_mode, (gptr*) &g_mode,
0, GET_INT, REQUIRED_ARG, g_mode, 0, 0, 0, 0, 0 },
-
+ { "quit", 256, "Quit before starting tests",
+ (gptr*) &g_mode, (gptr*) &g_do_quit,
+ 0, GET_BOOL, NO_ARG, g_do_quit, 0, 0, 0, 0, 0 },
{ 0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
};
@@ -144,6 +148,7 @@
bool restart = true;
int lineno = 1;
int test_no = 1;
+ int return_code = 1;
g_logger.setCategory(progname);
g_logger.enable(Logger::LL_ALL);
@@ -178,6 +183,12 @@
goto end;
}
+ if (g_do_quit)
+ {
+ return_code = 0;
+ goto end;
+ }
+
if(!setup_hosts(g_config))
goto end;
@@ -192,9 +203,10 @@
{
NdbSleep_SecSleep(1);
}
+ return_code = 0;
goto end;
}
-
+
g_logger.info("Connecting to hosts");
if(!connect_hosts(g_config))
goto end;
@@ -210,8 +222,11 @@
{
NdbSleep_SecSleep(1);
}
+ return_code = 0;
goto end;
}
+
+ return_code = 0;
/**
* Main loop
@@ -221,34 +236,19 @@
* Do we need to restart ndb
*/
if(restart){
- g_logger.info("(Re)starting ndb processes");
+ g_logger.info("(Re)starting server processes processes");
if(!stop_processes(g_config, ~0))
goto end;
-
- if(!start_processes(g_config, atrt_process::AP_NDB_MGMD))
- goto end;
- if(!connect_ndb_mgm(g_config)){
+ if (!setup_directories(g_config, 2))
goto end;
- }
- if(!start_processes(g_config, atrt_process::AP_NDBD))
+ if (!setup_files(g_config, 2, 1))
goto end;
- if(!wait_ndb(g_config, NDB_MGM_NODE_STATUS_NOT_STARTED))
- goto end;
-
- for(Uint32 i = 0; i<3; i++)
- if(wait_ndb(g_config, NDB_MGM_NODE_STATUS_STARTED))
- goto started;
-
- goto end;
-
- started:
- if(!start_processes(g_config, p_servers))
- goto end;
-
- g_logger.info("Ndb start completed");
+ if (!start(g_config, p_ndb | p_servers))
+ goto end;
+ g_logger.info("All servers start completed");
}
const int start_line = lineno;
@@ -318,22 +318,30 @@
fflush(g_report_file);
}
- if(test_case.m_report || g_mode == 2 || (g_mode && result)){
- BaseString tmp;
- tmp.assfmt("result.%d", test_no);
- if(rename("result", tmp.c_str()) != 0){
- g_logger.critical("Failed to rename %s as %s",
- "result", tmp.c_str());
- goto end;
- }
- }
-
if(g_mode == 0 && result){
g_logger.info
("Encountered failed test in interactive mode - terminating");
break;
}
+ BaseString resdir;
+ resdir.assfmt("result.%d", test_no);
+ remove_dir(resdir.c_str(), true);
+
+ if(test_case.m_report || g_mode == 2 || (g_mode && result))
+ {
+ if(rename("result", resdir.c_str()) != 0)
+ {
+ g_logger.critical("Failed to rename %s as %s",
+ "result", resdir.c_str());
+ goto end;
+ }
+ }
+ else
+ {
+ remove_dir("result", true);
+ }
+
if(result != 0){
restart = true;
} else {
@@ -354,7 +362,7 @@
}
stop_processes(g_config, atrt_process::AP_ALL);
- return 0;
+ return return_code;
}
static
@@ -454,6 +462,12 @@
case 'f':
g_fqpn = 1;
break;
+ case 'q':
+ g_do_quit = 1;
+ break;
+ default:
+ g_logger.error("Unknown switch '%c'", *arg);
+ return false;
}
arg++;
}
@@ -484,6 +498,25 @@
g_prefix = DEFAULT_PREFIX;
}
+ /**
+ * Add path to atrt-*.sh
+ */
+ {
+ BaseString tmp;
+ const char* env = getenv("PATH");
+ if (env && strlen(env))
+ {
+ tmp.assfmt("PATH=%s:%s/mysql-test/ndb",
+ env, g_prefix);
+ }
+ else
+ {
+ tmp.assfmt("PATH=%s/mysql-test/ndb", g_prefix);
+ }
+ g_env_path = strdup(tmp.c_str());
+ putenv(g_env_path);
+ }
+
if (g_help)
{
my_print_help(g_options);
@@ -1032,26 +1065,27 @@
bool
gather_result(atrt_config& config, int * result){
BaseString tmp = g_gather_progname;
- for(size_t i = 0; i<config.m_processes.size(); i++){
- atrt_process & proc = *config.m_processes[i];
- if(proc.m_proc.m_path != ""){
- tmp.appfmt(" %s:%s",
- proc.m_host->m_hostname.c_str(),
- proc.m_proc.m_cwd.c_str());
+
+ for(size_t i = 0; i<config.m_hosts.size(); i++)
+ {
+ tmp.appfmt(" %s:%s/*",
+ config.m_hosts[i]->m_hostname.c_str(),
+ config.m_hosts[i]->m_basedir.c_str());
+
+ g_logger.debug("system(%s)", tmp.c_str());
+ const int r1 = system(tmp.c_str());
+ if(r1 != 0)
+ {
+ g_logger.critical("Failed to gather result!");
+ return false;
}
}
- g_logger.debug("system(%s)", tmp.c_str());
- const int r1 = system(tmp.c_str());
- if(r1 != 0){
- g_logger.critical("Failed to gather result");
- return false;
- }
-
g_logger.debug("system(%s)", g_analyze_progname);
const int r2 = system(g_analyze_progname);
-
- if(r2 == -1 || r2 == (127 << 8)){
+
+ if(r2 == -1 || r2 == (127 << 8))
+ {
g_logger.critical("Failed to analyze results");
return false;
}
@@ -1208,7 +1242,6 @@
if (!x)
abort();
}
-
template class Vector<Vector<SimpleCpcClient::Process> >;
template class Vector<atrt_host*>;
--- 1.26/ndb/test/run-test/Makefile.am 2006-09-13 15:52:47 +02:00
+++ 1.27/ndb/test/run-test/Makefile.am 2006-09-13 15:52:47 +02:00
@@ -8,12 +8,11 @@
test_PROGRAMS = atrt
test_DATA=daily-basic-tests.txt daily-devel-tests.txt 16node-tests.txt \
- conf-ndbmaster.txt \
- conf-shark.txt \
- conf-dl145a.txt
+ conf-ndbmaster.cnf \
+ conf-dl145a.cnt
test_SCRIPTS=atrt-analyze-result.sh atrt-gather-result.sh atrt-setup.sh \
- atrt-clear-result.sh make-config.sh make-index.sh make-html-reports.sh
+ atrt-clear-result.sh
atrt_SOURCES = main.cpp setup.cpp files.cpp
| Thread |
|---|
| • bk commit into 5.0 tree (jonas:1.2179) | jonas | 13 Sep |